Commits

camlspotter committed b65e1b5

quick build check script

Comments (0)

Files changed (1)

0scripts/CHECKCHECK.sh

+#!/bin/sh
+
+set -e
+
+mkdir z
+cp -a ../.hg z/
+(cd z; hg update -C 848)
+mv z/* .
+mv z/.depend .
+
+patch -p1 < compiler_patch.diff
+./configure --prefix $HOME/.share/prefix-test
+make core coreboot
+./build/mixed-boot.sh
+cp boot/myocamlbuild boot/myocamlbuild.boot
+make world opt opt.opt
+echo ===================== testing =======================
+(cd ocamlspot/tests; make; ./auto-test.pl  *.ml *.mli) 
+echo ===================== congrats ======================
+echo Now you can type make intall
+echo Do not forget to install the elisp file, ocamlspot/ocamlspot.el
+echo and configure your .emacs